Subject: bug#29674: Ceph creates Btrfs subvolumes on Btrfs during tests.

From: Rutger Helling <[email-masked]>
Date: Wed, 27 Dec 2017 23:50:39 +0100

This bug has been open for quite a while now.
If there are no objections in the next few days, I'd like to disable the
tests entirely for now with a FIXME on finding and disabling only the
offending tests.

On Tue, 12 Dec 2017 21:19:07 +0100
[email-masked] (Ludovic Courtès) wrote:

> Tobias Geerinckx-Rice <[email-masked]> skribis:
> 
> > Ludovic Courtès wrote on 12/12/17 at 17:03:  
> >> So does guix-daemon systematically leave /tmp/guix-build-ceph*
> >> behind it?  
> >
> > Almost certainly. I can confirm several hundred previously unknown
> > subvolumes filling up my btrfs substitute server. Time to clean
> > up.  
> 
> Ouch.  I find this Btrfs behavior highly questionable.
> 
> Let’s make sure our packages don’t leak Btrfs subvolumes then!
> 
> Ludo’.